local _G = _G
local RW = _G.RW3

local DEBUG = RW.DEBUG
local Debug = RW.Debug
local expect = Debug.expect

local PluginGroups = {}
local PluginsStatus = {}
local Plugins = {
	name = "Plugins", 
	children = {
		{
			widget = "CI-TreeGroup",
			type = "group",
			layout = "Fill",
			statustable = PluginsStatus,
			groups = PluginGroups,
		}
	},
}

--- Add a plugin configuration
-- @param value Unique value to identify the plugin
-- @param options Options table
function RW.Config:AddPlugin(value, options)
	if DEBUG then
		expect(value, "typeof", "string;number")
		expect(PluginGroups[value], "==", nil)
		expect(options, "typeof", "table")
	end
	
	PluginGroups[value] = options
end

RW.Config:AddTopMenu("Plugins", Plugins)